
#ifndef __PS2IF_H
#define __PS2IF_H

#include "typedef.h"

inline void pc_set_clock_0()
{
	PORTD |= 0x08;
}

inline void pc_set_clock_1()
{
	PORTD &= ~0x08;
}

inline void pc_set_data_0()
{
	PORTD |= 0x20;
}

inline void pc_set_data_1()
{
	PORTD &= ~0x20;
}

inline bool pc_get_clock()
{
	pc_set_clock_1();
	return (PIND >> 2) & 1;
}

inline bool pc_get_data()
{
	pc_set_data_1();
	return (PIND >> 4) & 1;
}

#endif
